#!/usr/bin/python

import re

distribution = "rhel"
abrtparser = re.compile("^Red Hat Enterprise Linux [^ ]+ ([0-9\.]+) \(([^\)]+)\)$")
guessparser = re.compile("\.el([0-9]+)")
repos = [
  [ # Client
    "/mnt/globalsync/rhel/released/RHEL-6/$VER/Client/$ARCH/os/Packages",
    "/mnt/globalsync/rhel/rel-eng/RHEL6.1-20110311.3/$VER/Client/$ARCH/os/Packages",
  ],
  [ # Client-debuginfo
    "/mnt/globalsync/rhel/released/RHEL-6/$VER/Client/$ARCH/debug",
    "/mnt/globalsync/rhel/rel-eng/RHEL6.1-20110311.3/$VER/Client/$ARCH/debug",
  ],
  [ # Client-optional
    "/mnt/globalsync/rhel/released/RHEL-6/$VER/Client/optional/$ARCH/os/Packages",
    "/mnt/globalsync/rhel/rel-eng/RHEL6.1-20110311.3/$VER/Client/optional/$ARCH/os/Packages",
  ],
  [ # Client-optional-debuginfo
    "/mnt/globalsync/rhel/released/RHEL-6/$VER/Client/optional/$ARCH/debug",
    "/mnt/globalsync/rhel/rel-eng/RHEL6.1-20110311.3/$VER/Client/optional/$ARCH/debug",
  ],
  [ # Client-supplementary
    "/mnt/globalsync/rhel/released/RHEL-6-Supplementary/$VER/Client/$ARCH/os/Packages",
  ],
  [ # Server
    "/mnt/globalsync/rhel/released/RHEL-6/$VER/Server/$ARCH/os/Packages",
    "/mnt/globalsync/rhel/rel-eng/RHEL6.1-20110311.3/$VER/Server/$ARCH/os/Packages",
  ],
  [ # Server-debuginfo
    "/mnt/globalsync/rhel/released/RHEL-6/$VER/Server/$ARCH/debug",
    "/mnt/globalsync/rhel/rel-eng/RHEL6.1-20110311.3/$VER/Server/$ARCH/debug",
  ],
  [ # Server-optional
    "/mnt/globalsync/rhel/released/RHEL-6/$VER/Server/optional/$ARCH/os/Packages",
    "/mnt/globalsync/rhel/rel-eng/RHEL6.1-20110311.3/$VER/Server/optional/$ARCH/os/Packages",
  ],
  [ # Server-optional-debuginfo
    "/mnt/globalsync/rhel/released/RHEL-6/$VER/Server/optional/$ARCH/debug",
    "/mnt/globalsync/rhel/rel-eng/RHEL6.1-20110311.3/$VER/Server/optional/$ARCH/debug",
  ],
  [ # Server-supplementary
    "/mnt/globalsync/rhel/released/RHEL-6-Supplementary/$VER/Server/$ARCH/os/Packages",
  ],
  [ # Workstation
    "/mnt/globalsync/rhel/released/RHEL-6/$VER/Workstation/$ARCH/os/Packages",
    "/mnt/globalsync/rhel/rel-eng/RHEL6.1-20110311.3/$VER/Workstation/$ARCH/os/Packages",
  ],
  [ # Workstation-debuginfo
    "/mnt/globalsync/rhel/released/RHEL-6/$VER/Workstation/$ARCH/debug",
    "/mnt/globalsync/rhel/rel-eng/RHEL6.1-20110311.3/$VER/Workstation/$ARCH/debug",
  ],
  [ # Workstation-optional
    "/mnt/globalsync/rhel/released/RHEL-6/$VER/Workstation/optional/$ARCH/os/Packages",
    "/mnt/globalsync/rhel/rel-eng/RHEL6.1-20110311.3/$VER/Workstation/optional/$ARCH/os/Packages",
  ],
  [ # Workstation-optional-debuginfo
    "/mnt/globalsync/rhel/released/RHEL-6/$VER/Workstation/optional/$ARCH/debug",
    "/mnt/globalsync/rhel/rel-eng/RHEL6.1-20110311.3/$VER/Workstation/optional/$ARCH/debug",
  ],
  [ # Workstation-supplementary
    "/mnt/globalsync/rhel/released/RHEL-6-Supplementary/$VER/Workstation/$ARCH/os/Packages",
  ],
]
